API-Referenz

Eingehende E-Mails

Adressen anlegen und mit empfangenen Konversationen arbeiten.

POST/domains/:id/inbound/setup
API-Schlüssel

SES-Empfang eingehender E-Mails einrichten

SES-Empfang eingehender E-Mails einrichten

Anfrage
curl https://sendhq.cc/api/v1/domains/id_value/inbound/setup \
  -X POST \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
Antwort 200
{
  "domain": "inbound.example.com",
  "status": "dns_pending",
  "record": {
    "type": "MX",
    "name": "inbound.example.com",
    "value": "10 inbound-smtp.us-east-1.amazonaws.com"
  }
}
POST/domains/:id/inbound/verify
API-Schlüssel

Inbound-MX-Routing verifizieren

Inbound-MX-Routing verifizieren

Anfrage
curl https://sendhq.cc/api/v1/domains/id_value/inbound/verify \
  -X POST \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
Antwort 200
{
  "domain": "inbound.example.com",
  "status": "ready",
  "record": {
    "type": "MX"
  }
}
POST/inboxes
API-Schlüssel

Inbound-Adresse erstellen

Inbound-Adresse erstellen

Anfrage
curl https://sendhq.cc/api/v1/inboxes \
  -X POST \
  -H "Authorization: Bearer $SENDHQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"domain_id":"dom_…","local_part":"support","name":"Support"}'
Antwort 201
{
  "id": "inb_…",
  "address": "support@inbound.example.com",
  "status": "active"
}
GET/inboxes
API-Schlüssel

Inbound-Adressen auflisten

Inbound-Adressen auflisten

Query-Parameterdomain_id
Anfrage
curl https://sendhq.cc/api/v1/inboxes \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
Antwort 200
{
  "data": [],
  "count": 0
}
GET/inboxes/:id
API-Schlüssel

Inbound-Adresse abrufen

Inbound-Adresse abrufen

Anfrage
curl https://sendhq.cc/api/v1/inboxes/id_value \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
Antwort 200
{
  "id": "inb_…",
  "address": "support@example.com",
  "status": "active"
}
PATCH/inboxes/:id
API-Schlüssel

Postfach umbenennen, aktivieren oder deaktivieren

Postfach umbenennen, aktivieren oder deaktivieren

Anfrage
curl https://sendhq.cc/api/v1/inboxes/id_value \
  -X PATCH \
  -H "Authorization: Bearer $SENDHQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Customer support","status":"active"}'
Antwort 200
{
  "id": "inb_…",
  "status": "active"
}
PUT/inboxes/:id/forwarding
API-Schlüssel

Empfangene E-Mails eines Postfachs an eine andere Adresse weiterleiten

Setzen Sie `forward_to` auf eine E-Mail-Adresse oder auf null, um die Weiterleitung zu deaktivieren. Die eigene Adresse des Kontoinhabers wird sofort aktiviert; jede andere Adresse erhält eine Bestätigungs-E-Mail (versendet von der verifizierten Domain des Postfachs und als ein Empfänger abgerechnet), und die Weiterleitung bleibt ausstehend, bis der Link bestätigt wird. Weitergeleitete Kopien werden von der Postfachadresse aus gesendet, mit dem ursprünglichen Absender als Reply-To, berücksichtigen die Sperrliste und Tariflimits und werden nie erneut weitergeleitet.

Anfrage
curl https://sendhq.cc/api/v1/inboxes/id_value/forwarding \
  -X PUT \
  -H "Authorization: Bearer $SENDHQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"forward_to":"team@example.net"}'
Antwort 200
{
  "id": "inb_…",
  "address": "support@example.com",
  "forwardTo": "team@example.net",
  "forwardStatus": "pending"
}
DELETE/inboxes/:id
API-Schlüssel

Postfach löschen und Nachrichten behalten

Postfach löschen und Nachrichten behalten

Anfrage
curl https://sendhq.cc/api/v1/inboxes/id_value \
  -X DELETE \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
Antwort 200
{
  "ok": true
}